library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity  decoder is
    Port (Q       : in std_logic_vector( 3 downto 0);
          LED_OUT    : out std_logic_vector(1 to 12)
          );
end  decoder;

architecture Behavioral of  decoder is
  
begin

  process (Q)
  begin
   if (Q = "0000") then
      LED_out<="100000000000";
       elsif(Q = "0001") then
      LED_out<="110000000000";
       elsif(Q = "0010") then
      LED_out<="111000000000";
       elsif(Q = "0011") then
      LED_out<="111100000000";
       elsif(Q = "0100") then
      LED_out<="111110000000";
       elsif(Q = "0101") then
      LED_out<="111111000000";
       elsif(Q = "0110") then
      LED_out<="111111100000";
       elsif(Q = "0111") then
      LED_out<="111111110000";
       elsif(Q = "1000") then
      LED_out<="111111111000";
       elsif(Q = "1001") then
      LED_out<="111111111100";
       elsif(Q = "1010") then
      LED_out<="111111111110";
       elsif(Q = "1011") then
      LED_out<="111111111111";
         
      end if;  
  end process;

end Behavioral;